# Pair
Date: 2011-05-10

## jrummikub.util
Class Pair<T1,T2>

    java.lang.Object
      jrummikub.util.Pair<T1,T2>

Type Parameters:
  `T1` - Type of first component
  `T2` - Type of second component

    public class Pair<T1,T2>

extends java.lang.Object

A pair of objects

Constructor Summary
`Pair(T1 first, T2 second)` Create a new pair from two values

Method Summary
`T1` `getFirst()` Extract the first component of a pair
`T2` `getSecond()` Extract the second component of a pair

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pair

    public Pair(T1 first,
                T2 second)

  Create a new pair from two values

  Parameters:
    `first` - the first pair component
    `second` - the second pair component

Method Detail

### getFirst

    public T1 getFirst()

  Extract the first component of a pair

  Returns:
    the first pair component

### getSecond

    public T2 getSecond()

  Extract the second component of a pair

  Returns:
    the second pair component